Chromium Code Reviews
Help | Chromium Project | Sign in
(1)

Issue 278783002: pkg/http_parser: fixed edge cases with 9s and single-digit days (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
2 years, 11 months ago by kevmoo
Modified:
2 years, 11 months ago
Reviewers:
nweiz
CC:
reviews_dartlang.org
Visibility:
Public.

Description

pkg/http_parser: fixed edge cases with 9s and single-digit days R=nweiz@google.com Committed: https://code.google.com/p/dart/source/detail?r=35992

Patch Set 1 #

Total comments: 3
Unified diffs Side-by-side diffs Delta from patch set Stats (+41 lines, -4 lines) Patch
M pkg/http_parser/CHANGELOG.md View 1 chunk +4 lines, -0 lines 0 comments Download
M pkg/http_parser/lib/src/http_date.dart View 1 chunk +4 lines, -3 lines 3 comments Download
M pkg/http_parser/pubspec.yaml View 1 chunk +1 line, -1 line 0 comments Download
M pkg/http_parser/test/http_date_test.dart View 1 chunk +32 lines, -0 lines 0 comments Download
Trybot results:
Commit queue not available (can’t edit this change).

Messages

Total messages: 6 (0 generated)
kevmoo
Oops :-)
2 years, 11 months ago (2014-05-09 05:02:00 UTC) #1
nweiz
lgtm https://codereview.chromium.org/278783002/diff/1/pkg/http_parser/lib/src/http_date.dart File pkg/http_parser/lib/src/http_date.dart (right): https://codereview.chromium.org/278783002/diff/1/pkg/http_parser/lib/src/http_date.dart#newcode42 pkg/http_parser/lib/src/http_date.dart:42: return buffer.toString(); This code came straight from dart:io, ...
2 years, 11 months ago (2014-05-09 20:24:30 UTC) #2
kevmoo
Committed patchset #1 manually as r35992 (presubmit successful).
2 years, 11 months ago (2014-05-09 20:26:19 UTC) #3
kevmoo
I guess we're out of sync on if the date number needs a leading zero. ...
2 years, 11 months ago (2014-05-09 20:33:02 UTC) #4
nweiz
https://codereview.chromium.org/278783002/diff/1/pkg/http_parser/lib/src/http_date.dart File pkg/http_parser/lib/src/http_date.dart (right): https://codereview.chromium.org/278783002/diff/1/pkg/http_parser/lib/src/http_date.dart#newcode42 pkg/http_parser/lib/src/http_date.dart:42: return buffer.toString(); On 2014/05/09 20:33:02, kevmoo wrote: > On ...
2 years, 11 months ago (2014-05-09 20:39:35 UTC) #5
kevmoo
2 years, 11 months ago (2014-05-09 20:43:21 UTC) #6
Message was sent while issue was closed.
On 2014/05/09 20:39:35, nweiz wrote:
>
https://codereview.chromium.org/278783002/diff/1/pkg/http_parser/lib/src/http...
> File pkg/http_parser/lib/src/http_date.dart (right):
> 
>
https://codereview.chromium.org/278783002/diff/1/pkg/http_parser/lib/src/http...
> pkg/http_parser/lib/src/http_date.dart:42: return buffer.toString();
> On 2014/05/09 20:33:02, kevmoo wrote:
> > On 2014/05/09 20:24:31, nweiz wrote:
> > > This code came straight from dart:io, so it's probably a good idea to
check
> to
> > > see if it has the same issues.
> > 
> > It looks like it's okay here
> >
>
https://github.com/dart-lang/bleeding_edge/blob/master/dart/sdk/lib/io/http_d...
> 
> That's still missing a leading zero for the day, isn't it?

Yes, but it *seems* okay

http://tools.ietf.org/html/rfc1123#page-55

date = 1*2DIGIT month 2*4DIGIT

But doing a quick survey of sites I'm on now, all of them have send me

Fri, 09 May 2014 20:42:52 GMT

...So I'll file a bug
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld cc6ac46